#! /bin/sh

set -e

# configure-windows
#
# Creates a native Windows MingW build, based on:
# https://github.com/ocaml/ocaml/blob/trunk/README.win32.adoc

export prefix=C:/ocamlmgw64
while : ; do
    case "$1" in
        "") break;;
        -prefix|--prefix)
            prefix=$2; shift;;
    esac
    shift
done

echo "[configure-windows] Prefix path: $prefix"

echo "[configure-windows] Copying architecture headers."
cp config/m-nt.h config/m.h
cp config/s-nt.h config/s.h

# TODO: Differentiate based on architecture - use 'Makefile.mingw' for 32-bit environments
echo "[configure-windows] Bringing over mingw64 Makefile."
cp config/Makefile.mingw64 config/Makefile

echo "[configure-windows] Replace prefix path with: $prefix."
sed -i "s#PREFIX=C:/ocamlmgw64#PREFIX=$prefix#g" config/Makefile
